Bug 730444 - Curl command line No longer supports GSSAPI Delegation
Summary: Curl command line No longer supports GSSAPI Delegation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: curl
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 730445
TreeView+ depends on / blocked
 
Reported: 2011-08-13 00:52 UTC by Adam Young
Modified: 2011-09-25 03:40 UTC (History)
2 users (show)

Fixed In Version: curl-7.21.0-10.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-07 03:38:01 UTC


Attachments (Terms of Use)

Description Adam Young 2011-08-13 00:52:52 UTC
Description of problem:

libcurl lost and recently regained the ability to do Kerberos TGT forwarding via GSSAPI Delegation.  However, the ability to do this has not extended to the Command line tool

Version-Release number of selected component (if applicable):
curl-7.21.3-9.fc15.x86_64

How reproducible:
100%

Steps to Reproduce:
1.  Attempt to Use Curl against an application that requires TGT Delegation, such as IPA.
  
Actual results:
Error from the server stating TGT was not provided


Expected results:
Normal functioning

Additional info:
This has been fixed upstream in:

https://github.com/bagder/curl/commit/5538904d775161d1a0fa3ebb77

Comment 1 Kamil Dudka 2011-08-15 21:14:35 UTC
fixed in curl-7.21.7-3.fc17

Comment 2 Fedora Update System 2011-08-16 07:12:49 UTC
curl-7.21.3-10.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/curl-7.21.3-10.fc15

Comment 3 Fedora Update System 2011-08-16 07:13:07 UTC
curl-7.21.7-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/curl-7.21.7-3.fc16

Comment 4 Fedora Update System 2011-08-16 18:41:15 UTC
curl-7.21.0-9.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/curl-7.21.0-9.fc14

Comment 5 Fedora Update System 2011-08-16 20:07:29 UTC
Package curl-7.21.7-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing curl-7.21.7-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/curl-7.21.7-3.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-09-07 03:37:46 UTC
curl-7.21.7-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-09-08 07:10:39 UTC
curl-7.21.3-11.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-09-25 03:39:53 UTC
curl-7.21.0-10.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.